%define pkg_name        threads
%define pkg_version     1.67
%define rpm_pkg_version 1.67
%define rpm_pkg_release 1.n0i.6

Summary:       Perl interpreter-based threads
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JD/JDHEDDEN/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(:WITH_ITHREADS)
BuildRequires: perl(:WITH_THREADS)
%if %{!?_without_test:1}0
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::testlib)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(XSLoader)
%endif


%description
Perl 5.6 introduced something called interpreter threads. Interpreter threads
are different from *5005threads* (the thread model of Perl 5.005) by creating
a new Perl interpreter per thread, and not sharing any data or state between
threads by default.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Wed Sep 19 2007 Marius Feraru <altblue@n0i.net> - 0:1.67-1.n0i.6
- version 1.67

* Sat Sep 15 2007 Marius Feraru <altblue@n0i.net> - 0:1.66-1.n0i.5
- version 1.66

* Thu Sep 06 2007 Marius Feraru <altblue@n0i.net> - 0:1.65-1.n0i.4
- version 1.65

* Mon Aug 20 2007 Marius Feraru <altblue@n0i.net> - 0:1.64-1.n0i.3
- version 1.64

* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 0:1.63-1.n0i.2
- version 1.63

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0:1.62-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.62
